NSX-T Data Center REST API

Create Port Discovery Profile Binding Map

API will create Port Discovery Profile Binding Map. For objects with no binding maps, default profile is applied.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-discovery-profile-binding-maps/{port-discovery-profile-binding-map-id}
/policy/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-discovery-profile-binding-maps/{port-discovery-profile-binding-map-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}/port-discovery-profile-binding-maps/{port-discovery-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PortDiscoveryProfileBindingMap+

Example Request:

PATCH https://<nsx-mgr>/policy/api/v1/infra/tier-1s/tier-1/segments/segment_1/ports/port_1/port-discovery-profile-binding-maps/pdpbm_1 { "resource_type":" PortDiscoveryProfileBindingMap", "display_name": "PortDiscoveryProfileBindingMap Profile Production", "description":"", "mac_discovery_profile_path":"/infra/mac-discovery-profiles/macdp_1", "ip_discovery_profile_path":"/infra/ip-discovery-profiles/ipdp_1" }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: